# Get an account

> One X account: fees earned and paid, the next payout, its coins and its last 20 payouts. 404 for an account that opted out.


`GET https://payday.direct/api/v1/accounts/{handle}`

One X account: fees earned and paid, the next payout, its coins and its last 20 payouts. 404 for an account that opted out.

## Parameters

- `handle` (path, string, required)

## Responses

- 200: OK
- 401: Missing or invalid key
- 404: Not found
- 429: Over the limit. Retry-After says when to try again.

```json
{
  "data": {
    "handle": "examplehandle",
    "rail": "xmoney",
    "coins": [
      {
        "mint": "3unDHbPUsLqQtoHgvuCsRSArnuhVjhsn11vRht5Xpump",
        "symbol": "Example",
        "name": "Example Coin",
        "image": "https://payday.direct/img/example.png",
        "created_at": "2026-11-14T18:02:11.000Z",
        "status": "curve",
        "curve_progress_bps": 6423,
        "quote": {
          "mint": "So11111111111111111111111111111111111111112",
          "symbol": "SOL"
        },
        "market": {
          "market_cap_usd": "11282.45",
          "volume_24h_usd": "102734.54",
          "liquidity_usd": "3019.00",
          "holders": 164,
          "price_change_24h_pct": 244.5,
          "last_trade_at": "2026-11-15T19:35:36.000Z"
        },
        "recipient": {
          "rail": "xmoney",
          "handle": "examplehandle"
        },
        "mode": "account",
        "cash_payback": null,
        "dex": {
          "status": "filling",
          "reserved_usd": "199.55",
          "target_usd": "299.00",
          "sent_tx": null,
          "sent_at": null
        },
        "chain": "solana",
        "chain_id": null,
        "links": {
          "page": "https://payday.direct/explore#coin/3unDHbPUsLqQtoHgvuCsRSArnuhVjhsn11vRht5Xpump",
          "pump": "https://pump.fun/coin/3unDHbPUsLqQtoHgvuCsRSArnuhVjhsn11vRht5Xpump",
          "website": null,
          "x": "https://x.com/examplehandle",
          "telegram": null
        }
      }
    ],
    "fees": {
      "earned_usd": "1520.40",
      "earned_sol": "6.48",
      "paid_usd": "1240.50",
      "on_the_way_usd": "120.00",
      "bonus_usd": "0.00"
    },
    "payouts": 9,
    "next_batch": {
      "progress_usd": "64.10",
      "threshold_usd": "120.00"
    },
    "last_paid_at": "2026-11-15T18:22:41.000Z",
    "recent_payouts": [
      {
        "id": "412",
        "handle": "examplehandle",
        "rail": "xmoney",
        "status": "paid",
        "usdc": "120.00",
        "rate": 0.8,
        "paid_usd": "96.00",
        "peer": {
          "deposit_id": "1834",
          "url": "https://www.peer.xyz/deposit/1834",
          "listing_tx": "0x5f0c...e21a"
        },
        "listed_at": "2026-11-15T17:40:02.000Z",
        "closed_at": "2026-11-15T18:22:41.000Z"
      }
    ]
  },
  "meta": {
    "updated_at": "2026-11-15T20:03:20.991Z",
    "api_version": "v1"
  }
}
```

## Example

```bash
curl "https://payday.direct/api/v1/accounts/examplehandle" \
  -H "Authorization: Bearer pd_YOUR_KEY"
```